SMPlayer 21.1.0 공개, 그러나..

SMPlayer 신판이 공개됐다. 그런데, 이건 python-is-python3 꾸러미를 필요로 한다.

필요하면 설치해주면 되는데.. 문제는 이게 python-is-python2 와 양립할 수 없다는데 있다. python-is-python3 가 설치되면 python-is-python2 는 지워진다.

그게 지워지면, VirtualBox 도 따라서 지워진다…..

포럼에 문의는 했는데, 과연 해결될 수 있을런지..?
일단은, 꾸러미 고정 기능으로 판올림은 안되게끔 조치해놨다.


제작자가 정말로 빨리 답을 줬다.
수정판을 내준다고 한다.

과연? 얼마나 빨리 반영이 될지..?


번개 같았다.
벌써 수정판이 올라왔고, 설치 문제는 사라졌다.

알고보니, 이건 의존은 아니고 권고(Recommendation)라서, 다음 명령으로 설치가 가능했다고 한다.

sudo apt install smplayer --no-install-recommends
또는
sudo apt upgrade --no-install-recommends 

apt upgrade 에도 저게 적용되는진 시험해보지 않아서 모르겠는데, 그냥 명령을 내렸을 때 적어도 오류가 나오진 않았다.

안녕하세요. 글 남겨주셔서 고맙습니다.